LootJS.modifiers((event) => {
    const hideMobs = [
        'tfc:black_bear',
        'tfc:grizzly_bear',
        'tfc:polar_bear',
        'tfc:wolf',
        'tfc:direwolf',
        'tfc:sabertooth'
    ];
    event.addEntityModifier(hideMobs)
        .randomChance(0.10)
        .addLoot('antiquelegacy:fur_cloak_decoration');
    const bearMobs = [
        'tfc:black_bear',
        'tfc:grizzly_bear',
        'tfc:polar_bear'
    ];
    event.addEntityModifier(bearMobs)
        .randomChance(0.10)
        .addLoot('magistuarmory:bear_decoration');

    event.addEntityModifier('tfc:duck')
        .randomChance(0.10) // 10% chance
        .addLoot('magistuarmory:duck_decoration');

    event.addEntityModifier('tfc:duck')
        .randomChance(0.10) // 10% chance
        .addLoot('magistuarmoryaddon:goose_decoration');

    event.addEntityModifier('tfc:chicken')
        .randomChance(0.10) // 10% chance
        .addLoot('magistuarmory:griffin_decoration');

    event.addEntityModifier('tfc:chicken')
    .randomChance(0.10) // 10% chance
    .addLoot('magistuarmory:dragon_decoration');

    event.addEntityModifier('tfc:lion')
        .randomChance(0.10) // 10% chance
        .addLoot('magistuarmory:lion_decoration');

    event.addEntityModifier('tfc:horse')
        .randomChance(0.10) // 10% chance
        .addLoot('magistuarmory:horse_decoration');
    
    event.addEntityModifier('tfc:horse')
        .randomChance(0.10) // 10% chance
        .addLoot('magistuarmory:unicorn_decoration');

    event.addEntityModifier('tfc:gazelle')
        .randomChance(0.10) // 10% chance
        .addLoot('magistuarmory:gazelle_horns_decoration');
    
    event.addEntityModifier('tfc:sheep')
        .randomChance(0.10) // 10% chance
        .addLoot('magistuarmoryaddon:ram_horns_decoration');

    const bullMobs = [
        'tfc:bizon',
        'tfc:musk_ox',
        'tfc:cow',
        'tfc:yak'
    ];
    event.addEntityModifier(bullMobs)
        .randomChance(0.10)
        .addLoot('magistuarmory:bullhorns_decoration');
    event.addEntityModifier(bullMobs)
        .randomChance(0.10)
        .addLoot('magistuarmory:demon_horns_decoration');

    const antlerMobs = [
        'tfc:deer',
        'tfc:moose',
        'tfc:caribou'
    ];
    event.addEntityModifier(antlerMobs)
        .randomChance(0.10)
        .addLoot('magistuarmory:antlers_decoration');
});
